---

- name: include assert.yml
  ansible.builtin.import_tasks: assert.yml
  run_once: true
  delegate_to: localhost

- name: Include receptor TLS generation tasks
  ansible.builtin.import_tasks: tls.yml
  delegate_to: localhost
  become: false
  when:
    - (controllers is defined and controllers | bool) or
      (workers is defined and workers | bool)
    - tlsgen is defined and tlsgen | bool

- name: Include AWX control node tasks
  ansible.builtin.import_tasks: "controllers.yml"
  when:
    - inventory_hostname in groups["controllers"]
    - controllers is defined
    - controllers | bool

- name: Include AWX worker node tasks
  ansible.builtin.import_tasks: "workers.yml"
  when:
    - inventory_hostname in groups["workers"]
    - workers is defined
    - workers | bool
